:root {
    --grey-900: #141414;
    --grey-800: #1F1F1F;
    --grey-700: #333333;

    --green: #C4F82A;
    
    --white: #FFFFFF;
}

/* Global */
html {
    font-size: 62.5%; /* 1rem = 10 pixel */
    box-sizing: border-box;
}

*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: var(--grey-900);
}

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

.card {
    background-color: var(--grey-800);
    width: 32.7rem;
    height: 57.9rem;
    padding: 2.4rem;
    border-radius: 1.2rem;
    opacity: 100%;
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
    align-items: center;
} 

/* Media query for Tablets */
@media screen and (min-width: 768px) {
    .card {
        width: 38.4rem;
        height: 61.1rem;
        padding: 4rem;
    }
}

.profile-pic {
    width: 8.8rem;
    height: 8.8rem;
    overflow: hidden;
    border-radius: 99.9rem;
}

.icon {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.name-location {
    width: 27.9rem;
    height: 6.1rem;
    display: flex;
    flex-direction: column;
    gap: .4rem;
    align-items: center;
}

/* Media query for Tablets */
@media screen and (min-width: 768px) {
    .name-location {
        width: 30.4rem;
    }
}

.title {
    color: var(--white);
    font-size: 2.4rem;
    line-height: 150%;
    font-family: "Inter", sans-serif;
    font-weight: 600;
}

.description {
    color: var(--green);
    font-size: 1.4rem;
    line-height: 150%;
    font-family: "Inter", sans-serif;
    font-weight: 700;
}

.bio {
    color: var(--white);
    font-size: 1.4rem;
    font-family: "Inter", sans-serif;
    font-weight: 400;
}

.links {
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
    width: 27.9rem;
    height: 28.9rem;
}

/* Media query for Tablets */
@media screen and (min-width: 768px) {
    .links {
        width: 30.4rem;
    }
}

a {
    font-family: "Inter", sans-serif;
    font-weight: 700;
    width: 27.9rem;
    height: 4.5rem;
    background-color: var(--grey-700);
    border-radius: .8rem;
    color: var(--white);
    font-size: 1.4rem;
    line-height: 150%;
    text-decoration: none;
    text-align: center;
    align-content: center;
}

/* Media query for Tablets */
@media screen and (min-width: 768px) {
    a {
        width: 30.4rem;
    }
}

/* Media query for Desktop */
@media screen and (min-width: 1440px) {
    a {
        transition: background-color .1s ease;
    }

    a:hover {
    color: var(--grey-900);
    background-color: var(--green);
    }
}

